package cn.reghao.tnb.content.api.iface;

import cn.reghao.jutil.jdk.web.db.PageList;
import cn.reghao.jutil.jdk.web.result.Result;
import cn.reghao.tnb.content.api.dto.*;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-15 09:38:40
 */
public interface AdminVideoService {
    /**
     * 获取发布内容的用户列表
     *
     * @param
     * @return
     * @date 2024-08-03 23:08:488
     */
    List<Long> getContentUser(int publishType);
    Result setVideoPostPublish(String videoId);
    void addConvertedVideo(VideoConvertedDto videoConvertedDto);
}
